org.fife.ui.rsyntaxtextarea

## Interface OccurrenceMarker

All Known Implementing Classes:
  XmlOccurrenceMarker

    public interface OccurrenceMarker

An `OccurrenceMarker` is called when the caret stops moving after a short period. If the current `TokenMaker` returns an instance of this class, it is told to mark all occurrences of the identifier at the caret position.

Version:
  1.0
Author:
  Robert Futrell

### Method Summary

Methods
`void` `markOccurrences(RSyntaxDocument doc, Token t, RSyntaxTextAreaHighlighter h, org.fife.ui.rsyntaxtextarea.MarkOccurrencesHighlightPainter p)` Called when occurrences of a token should be marked.

### Method Detail

#### markOccurrences

    void markOccurrences(RSyntaxDocument doc,
                       Token t,
                       RSyntaxTextAreaHighlighter h,
                       org.fife.ui.rsyntaxtextarea.MarkOccurrencesHighlightPainter p)

Called when occurrences of a token should be marked.

Parameters:
  `doc` - The document.
  `t` - The document whose relevant occurrences should be marked.
  `h` - The highlighter to add the highlights to.
  `p` - The painter for the highlights.